Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core.gui
Interface SpoonInterface

All Superinterfaces:
  org.pentaho.di.core.gui.OverwritePrompter

    public interface SpoonInterface

extends org.pentaho.di.core.gui.OverwritePrompter

Field Summary
`static int` | `STATE_CORE_OBJECTS_CHEF`
`static int` | `STATE_CORE_OBJECTS_NONE`
`static int` | `STATE_CORE_OBJECTS_SPOON`
`static String` | `XUL_FILE_MENU_PROPERTIES`
`static String` | `XUL_FILE_MENUBAR`
`static String` | `XUL_FILE_MENUS`

Method Summary
`boolean` | `addSpoonBrowser(String name, String urlString)`
`void` | `addTransGraph(TransMeta transMeta)`
`boolean` | `messageBox(String message, String text, boolean allowCancel, int type)`
`Object[]` | `messageDialogWithToggle(String dialogTitle, Object image, String message, int dialogImageType, String[] buttonLabels, int defaultIndex, String toggleMessage, boolean toggleState)`

Methods inherited from interface org.pentaho.di.core.gui.OverwritePrompter
`overwritePrompt`

Field Detail

### STATE_CORE_OBJECTS_NONE

    static final int STATE_CORE_OBJECTS_NONE

See Also:
  Constant Field Values

### STATE_CORE_OBJECTS_CHEF

    static final int STATE_CORE_OBJECTS_CHEF

See Also:
  Constant Field Values

### STATE_CORE_OBJECTS_SPOON

    static final int STATE_CORE_OBJECTS_SPOON

See Also:
  Constant Field Values

### XUL_FILE_MENUBAR

    static final String XUL_FILE_MENUBAR

See Also:
  Constant Field Values

### XUL_FILE_MENUS

    static final String XUL_FILE_MENUS

See Also:
  Constant Field Values

### XUL_FILE_MENU_PROPERTIES

    static final String XUL_FILE_MENU_PROPERTIES

See Also:
  Constant Field Values

Method Detail

### addSpoonBrowser

    boolean addSpoonBrowser(String name,
                            String urlString)

### addTransGraph

    void addTransGraph(TransMeta transMeta)

### messageDialogWithToggle

    Object[] messageDialogWithToggle(String dialogTitle,
                                     Object image,
                                     String message,
                                     int dialogImageType,
                                     String[] buttonLabels,
                                     int defaultIndex,
                                     String toggleMessage,
                                     boolean toggleState)

### messageBox

    boolean messageBox(String message,
                       String text,
                       boolean allowCancel,
                       int type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD